Results 1 to 2 of 2

Thread: python-kivy install not working

  1. #1
    Junior Member
    Join Date
    Sep 2012
    Posts
    17

    python-kivy install not working

    Hello, I am trying to install kivy on my usb stick, and i have searched for days on the net but nothing works ,the initial error i get is that python 2.7.3 is not enough ,it needs python2.7.5-5 or later i guess.I have tried to install another version of python 2.7.7 is the latest i think , i installed it from source, also made an alias='the place of the new version' soby typing python in the command line i get the new version but still the python-kivy install doesen`t work. Please Help Me!!!

  2. #2
    Junior Member
    Join Date
    Sep 2012
    Posts
    17
    Ok I have solved this issue , anybody ho runs into this problem, download the tar file for kivy from their website,
    add

    deb-src http://ftp.de.debian.org/debian stable main contrib non-free
    deb-src http://ftp.de.debian.org/debian testing main contrib non-free
    deb-src http://ftp.de.debian.org/debian unstable main contrib non-free
    deb-src http://ftp.de.debian.org/debian experimental main contrib non-free

    this to the source.list in /etc/apt

    make a sudo apt-get update

    after that:

    sudo apt-get -t testing install python

    this will upgarde python to the newst version
    and the extract the tar file from kivy
    and do:

    python setup.py install in the resulting folder

    EASY AS HELL!!! Cheers
    Last edited by Lenny86; 06-29-2014 at 08:57 AM.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •